AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- PhotoPickerComponent

### Implements

- any
- any

## Index

### Constructors

- constructor

### Properties

- componentHost
- framework
- loaded
- path
- picked
- storageOptions
- uploaded
- url

### Methods

- loadComponent
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new PhotoPickerComponent(componentFactoryResolver: ComponentFactoryResolver): PhotoPickerComponent

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:52

  #### Parameters

  - ##### componentFactoryResolver: ComponentFactoryResolver

  #### Returns PhotoPickerComponent

## Properties

### componentHost

componentHost: DynamicComponentDirective

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:52

### framework

framework: string

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:42

### loaded

loaded: EventEmitter<string> = new EventEmitter<string>()

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:49

### path

path: string

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:44

### picked

picked: EventEmitter<string> = new EventEmitter<string>()

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:47

### storageOptions

storageOptions: any

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:45

### uploaded

uploaded: EventEmitter<Object> = new EventEmitter<Object>()

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:51

### url

url: string

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:43

## Methods

### loadComponent

- loadComponent(): void

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:65

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:62

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.factory.ts:58

  #### Returns void